Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryCallForLastElementRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryCallForLastElementRule

- This rule checks for excessively verbose methods of accessing the last element of an array or list. For instance, it is possible to access the last element of an array by performing array[array.length - 1], in Groovy it is simpler to either call array.last() or array[-1]. The same is true for lists. This violation is triggered whenever a get, getAt, or array-style access is used with an object size check.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority